
Figure - Bug #117656
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试24小时，出现CRASH:com.android.settings（23）
2023-04-25 10:30 - CD TEST-方永红

Status: CLOSED Start date: 2023-04-25

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304220234

Resolution: FIXED Degrated: No

Severity: Critical Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)

Reproducibility: Rarely Fixed Version: 2023-04-25

Test Type: Monkey Test Root cause: FragmentManager 不一致导致。

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 172800 2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

 CRASH: com.android.settings (pid 3060)

// Short Msg: java.lang.IllegalStateException

// Long Msg: java.lang.IllegalStateException: Fragment ButtonActionDialogFragment{7da3b62} (0abf4970-eefc-4836-a0e9-e095b62b5944)

dialog 2} declared target fragment AppInfoDashboardFragment{5cf54f3} (188705de-e424-4f5b-bfbb-d094c6e52e90)} that does not belong to

this FragmentManager!

// Build Label: HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/2962:user/test-keys

// Build Changelist: 2962

// Build Time: 1682107785000

// java.lang.IllegalStateException: Fragment ButtonActionDialogFragment{7da3b62} (0abf4970-eefc-4836-a0e9-e095b62b5944) dialog 2}

declared target fragment AppInfoDashboardFragment{5cf54f3} (188705de-e424-4f5b-bfbb-d094c6e52e90)} that does not belong to this

FragmentManager!

//     at androidx.fragment.app.FragmentStateManager.attach(FragmentStateManager.java:414)

//     at androidx.fragment.app.FragmentStateManager.moveToExpectedState(FragmentStateManager.java:251)

//     at androidx.fragment.app.FragmentManager.executeOpsTogether(FragmentManager.java:2209)

//     at androidx.fragment.app.FragmentManager.removeRedundantOperationsAndExecute(FragmentManager.java:2120)

//     at androidx.fragment.app.FragmentManager.execPendingActions(FragmentManager.java:2022)

//     at androidx.fragment.app.FragmentManager$5.run(FragmentManager.java:527)

//     at android.os.Handler.handleCallback(Handler.java:938)

//     at android.os.Handler.dispatchMessage(Handler.java:99)

//     at android.os.Looper.loopOnce(Looper.java:201)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// 
History

#1 - 2023-04-25 19:12 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

196209 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix monkey test crash in ButtonActionDialogFragment.TC-RID: 1201-0201802IssueID: TS-R-BUG-117656Change-Id:

Id15a3d483558decdebc45531ded87a9e7505dfd1

#2 - 2023-04-25 19:20 - CD FW-廖涛

- Status changed from New to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-04-25

- Root cause set to FragmentManager 不一致导致。

■ Current conclusion

已处理，代码已入库。

■ My analysis

FragmentManager 不一致导致。

解决方案：

使用最新的 Fragment 间回调方式。移除 setTargetFragment 方法的调用。

■ Next action

测试验证。

#3 - 2023-04-27 13:55 - CD TEST-方永红

4.27

26号DB版本未复现、继续跟踪两个版本

#4 - 2023-04-28 17:25 - CD TEST-方永红

4.28

27日DB未复现，继续跟踪一个版本

#5 - 2023-05-05 10:14 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)
5.5

0095及0097版本未复现

先关闭

#6 - 2023-05-05 10:14 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

error.txt 308 KB 2023-04-25 CD TEST-方永红

tlog_sts40x190067_000204_0422181013.tar.gz 2.43 MB 2023-04-25 CD TEST-方永红
